Tenha uma nova experiência ao navegar no Fórum pelo computador de forma integrada ao portal principal. Acesse o seguinte link: https://www.autolisp.com.br/board/. Entretanto para dispositivos móveis recomendamos acessar este outro link: https://www.autolisp.com.br/forum/

Mudar texto num bloco sem explodir

Dúvidas sobre VB para AutoCAD...

Moderador: Moderadores

Responder
Avatar do usuário
clxramos
Madeira
Madeira
Mensagens: 14
Registrado em: Ter 25 Out 2005 11:00:00 pm

Mudar texto num bloco sem explodir

Mensagem por clxramos » Qui 29 Jun 2006 8:33:21 am

Aos feras do Lisp ou AL:

Eu insiro um bloco e nele tenho dois textos. Ao inserir esse bloco eu gero um vetor (linha).Essa linha tem um comprimento.Esse comprimento tenho de escrever na primeira linha do bloco. Essa linha gerada intercepta outra, daí preciso desse ângulo escrito na linha de baixo do bloco.

Tem alguém aí que pode me dar umas forcinha ?????


Desde já, agradeço. 8O

Avatar do usuário
admin
Administrador
Administrador
Mensagens: 621
Registrado em: Sex 28 Nov 2003 11:00:00 pm
Localização: Itu / SP
Contato:

Mensagem por admin » Qui 29 Jun 2006 2:49:36 pm

Respondendo ao titulo do tópico!

uma rotina para editar um texo de bloco sem explodir!

(defun c:tb()
(setq ed_pre (car (nentsel)))
(setq a (entget ed_pre))
(setq texto (getstring "\nDigite o novo texto:\n"))
(setq a (subst (cons 1 texto) (assoc 1 a) (entget ed_pre)))
(entmod a)
(entupd ed_pre)
(command "_.regen")
)
Marcos Mendes de Almeida
[email protected]

Avatar do usuário
clxramos
Madeira
Madeira
Mensagens: 14
Registrado em: Ter 25 Out 2005 11:00:00 pm

Mensagem por clxramos » Qui 29 Jun 2006 3:02:02 pm

Valeu Marcos.

Avatar do usuário
admin
Administrador
Administrador
Mensagens: 621
Registrado em: Sex 28 Nov 2003 11:00:00 pm
Localização: Itu / SP
Contato:

Mensagem por admin » Qui 29 Jun 2006 7:18:14 pm

isto ajudou?..pois pareceu que queria outra coisa!

at
Marcos Mendes de Almeida
[email protected]

Avatar do usuário
evalon
Bronze 1/3
Bronze 1/3
Mensagens: 165
Registrado em: Qua 13 Jul 2005 12:00:00 am

Mensagem por evalon » Qua 05 Jul 2006 4:21:51 pm

MARCOS, e para alterar o angulo de um atributo em um bloco?????

Avatar do usuário
admin
Administrador
Administrador
Mensagens: 621
Registrado em: Sex 28 Nov 2003 11:00:00 pm
Localização: Itu / SP
Contato:

Mensagem por admin » Qua 05 Jul 2006 5:30:17 pm

ai vai


(defun c:tb()
(setq ed_pre (car (nentsel)))
(setq a (entget ed_pre))
(setq texto (getstring "\nDigite o novo angulo:\n"))
(setq ang (* (/ ( atof texto) 180) pi))
(setq a (subst (cons 50 ang) (assoc 50 a) (entget ed_pre)))
(entmod a)
(entupd ed_pre)
(command "_.regen")
)
Marcos Mendes de Almeida
[email protected]

Responder